<?php 

session_start();

require "../conexion_bd.php";
require "inventario_sqlite.php";


if(isset($_SESSION['docto_invfis_id']) && isset($_SESSION['articulo_id']) && isset($_SESSION['total_unidades']) && isset($_SESSION['posicion']) && isset($_SESSION['nombre_articulo'])){

    if(!empty($_SESSION['docto_invfis_id']) && !empty($_SESSION['articulo_id']) && !empty($_SESSION['total_unidades']) && !empty($_SESSION['posicion']) && !empty($_SESSION['nombre_articulo'])){

            //variables GLOBALES
            $docto_invfis_id = intval($_SESSION['docto_invfis_id']);
            $articulo_id =  intval($_SESSION['articulo_id']);
            $total_unidades = floatval($_SESSION['total_unidades']);
            $unidades_ng = floatval( $_SESSION['unidades_NG']);
            $total_unidades_ng = $total_unidades + $unidades_ng;
            $posicion = $_SESSION['posicion'];
            $nombre_articulo = $_SESSION['nombre_articulo'];
            $colectora = $_SESSION['colectora'];

            $query_invfis_posicion = $conn ->prepare("SELECT b.ARTICULO_ID, SUM(b.UNIDADES) AS UNIDADES FROM doctos_invfis_posicion b WHERE b.ARTICULO_ID = ? AND b.DOCTO_INVFIS_ID= ? GROUP BY b.ARTICULO_ID");
            $query_invfis_posicion->bindParam(1,$articulo_id);
            $query_invfis_posicion->bindParam(2,$docto_invfis_id);
            $query_invfis_posicion->execute();
            $resultado_invfis_posicion = $query_invfis_posicion->fetchAll(PDO::FETCH_ASSOC);
            $unidades = floatval($resultado_invfis_posicion[0]['UNIDADES']);
            $total_unidades = $total_unidades + $unidades;


            $query_update_doctos_det = $conn ->prepare("UPDATE doctos_invfis_det a SET a.unidades = ? WHERE a.articulo_id = ? AND a.docto_invfis_id = ?");
            $query_update_doctos_det->bindParam(1,$total_unidades);
            $query_update_doctos_det->bindParam(2,$articulo_id);
            $query_update_doctos_det->bindParam(3,$docto_invfis_id);
            $query_update_doctos_det->execute();


            $query_update_doctos_posicion = $conn ->prepare("UPDATE doctos_invfis_posicion a SET a.unidades = ? WHERE a.articulo_id = ? AND a.docto_invfis_id = ? AND a.posicion = ? ");
            $query_update_doctos_posicion->bindParam(1,$total_unidades_ng);
            $query_update_doctos_posicion->bindParam(2,$articulo_id);
            $query_update_doctos_posicion->bindParam(3,$docto_invfis_id);
            $query_update_doctos_posicion->bindParam(4,$posicion);
            $query_update_doctos_posicion->execute();

            update_temporal($total_unidades_ng, $posicion, $colectora,$nombre_articulo);

            echo json_encode("modificado_con_exito");
    }

}else{
    exit("Hubo un error");
}


?>